Summary: Babackup is a tool providing secure, time-traveling backup via ssh and rsync.
Name: babackup
Version: 1.39
Release: 1%{?dist}
License: GPLv2
URL: http://ant.isi.edu/software/babackup/
Source0: http://ant.isi.edu/~software/babackup/babackup-%{version}.tar.gz
BuildArch: noarch
BuildRequires:  make
BuildRequires:  python3
BuildRequires:  python3-pyyaml
BuildRequires:  python3-psutil
BuildRequires:  openssh
BuildRequires:  sshpass
BuildRequires:  rsync
BuildRequires:  cronie
Requires:       python3
Requires:       python3-pyyaml
Requires:  	python3-psutil
Requires:       openssh
Requires:       sshpass
Requires:       rsync
# xxx: seems like we should be able to ask for the "cron" capability and not just the cronie implementation.
Requires:       cronie


%description
Babackup is a tool providing secure, time-traveling backup via ssh and rsync.
Its goal are:

- no mysteries: using standard tools
- high security: uses ssh and rrsync to avoid remote shells
- history: you can time-travel to old versions
- storage efficency: data is de-duplicatedn


%prep
%setup -q -n babackup-%{version}


%build
# no build
true

%install
%if 0%{?fedora} >= 42
make install DESTDIR=$RPM_BUILD_ROOT SBIN=bin
%else
make install DESTDIR=$RPM_BUILD_ROOT
%endif

%post
%if 0%{?fedora} >= 42
# After a F41->F42 upgrade, in some cases /usr/sbin is a dir of symlinks.
# If so, we need to join the crowd.
test ! -x $RPM_BUILD_ROOT/usr/sbin/babackup_server && cd $RPM_BUILD_ROOT/usr/sbin && ln -s ../bin/babackup_server .
%endif

%check
mkdir TEST
python3 test.py --babackup-path=%{buildroot}%{_bindir}/babackup --babackup_server-path=%{buildroot}%{_sbindir}/babackup_server


%files
%doc README.md LICENSE
%{_bindir}/babackup
%{_sbindir}/babackup_server
%dir %{_sysconfdir}/%{name}
%dir %{_sharedstatedir}/%{name}


%changelog
* Fri Jan 05 2024 John Heidemann <johnh@isi.edu> 1.0
- See http://ant.isi.edu/software/babackup/

